> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Notification Preferences

> Get all notification preferences for the current user.



## OpenAPI

````yaml get /admin/settings/notification-preferences
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /admin/settings/notification-preferences:
    get:
      tags:
        - provider
        - admin
        - notification-preferences
      summary: Get Notification Preferences
      description: Get all notification preferences for the current user.
      operationId: get_notification_preferences_admin_settings_notification_preferences_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationPreferencesResponse'
components:
  schemas:
    NotificationPreferencesResponse:
      properties:
        preferences:
          items:
            $ref: '#/components/schemas/NotificationPreferenceSummary'
          type: array
          title: Preferences
          description: List of user's notification preferences.
        availableAlertTypes:
          items:
            $ref: '#/components/schemas/AlertType'
          type: array
          title: Availablealerttypes
          description: List of all available alert types.
      type: object
      required:
        - preferences
        - availableAlertTypes
      title: NotificationPreferencesResponse
      description: Schema for notification preferences response.
    NotificationPreferenceSummary:
      properties:
        id:
          type: string
          title: Id
          description: The unique identifier for the notification preference.
        userId:
          type: string
          title: Userid
          description: The unique identifier of the user.
        alertType:
          $ref: '#/components/schemas/AlertType'
          description: The type of alert.
        communicationMethod:
          $ref: '#/components/schemas/NotificationMethod'
          description: The method to receive notifications.
        locationFilterEnabled:
          type: boolean
          title: Locationfilterenabled
          description: >-
            Whether to only receive notifications for alerts from the current
            location.
        createdDate:
          type: string
          format: date-time
          title: Createddate
          description: The date and time when the preference was created.
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
          description: The date and time when the preference was last updated.
      type: object
      required:
        - id
        - userId
        - alertType
        - communicationMethod
        - locationFilterEnabled
        - createdDate
      title: NotificationPreferenceSummary
      description: Schema for a notification preference summary.
    AlertType:
      type: string
      enum:
        - PATIENT_CREATED
        - PATIENT_UPDATED
        - APPOINTMENT_CANCELLED
        - APPOINTMENT_UPDATED
        - APPOINTMENT_REQUEST
        - APPOINTMENT_SCHEDULED
        - SELF_SCHEDULED_APPOINTMENT
        - SELF_SCHEDULED_APPOINTMENT_CANCELLED
        - SELF_SCHEDULED_APPOINTMENT_UPDATED
        - BLOCK_CREATED
        - BLOCK_CANCELLED
        - BLOCK_UPDATED
        - SHIFT_CREATED
        - SHIFT_CANCELLED
        - SHIFT_UPDATED
        - PAYMENT_CREATED
        - PAYMENT_FAILED
        - PAYMENT_SUCCEEDED
        - PLANNED_PAYMENT_FAILED
        - PLANNED_PAYMENT_SUCCEEDED
        - CHARGE_CREATED
        - REFUND_CREATED
        - REFUND_FAILED
        - REFUND_SUCCEEDED
        - ADJUSTMENT_CREATED
        - ADJUSTMENT_FAILED
        - ADJUSTMENT_SUCCEEDED
        - INVOICE_UPDATED
        - INVOICE_STATUS_UPDATE
        - INVOICE_SET_UPDATED
        - CHARGE_PAYMENT_CREATED
        - CALL_RECEIVED
        - CALL_MADE
        - CALL_ONGOING
        - MESSAGE_RECEIVED
        - MESSAGE_SENT
        - MESSAGE_DELIVERED
        - MESSAGE_FAILED
        - EMAIL_RECEIVED
        - EMAIL_SENT
        - MAIL_SENT
        - MAIL_DELIVERY_FAILED
        - FORM_SUBMITTED
        - APPOINTMENT_CHECKLIST_FILLED_FORM
        - APPOINTMENT_CHECKLIST_CHECKED_IN
        - APPOINTMENT_CHECKLIST_WITH_MA
        - APPOINTMENT_CHECKLIST_MEASUREMENT_TAKEN
        - APPOINTMENT_CHECKLIST_DOSE_TAKEN
        - APPOINTMENT_CHECKLIST_WITH_PROVIDER
        - APPOINTMENT_CHECKLIST_NOTE_TAKEN
        - APPOINTMENT_CHECKLIST_PAYMENT_MADE
        - APPOINTMENT_CHECKLIST_REQUEST_GFE
        - APPOINTMENT_CHECKLIST_PICTURE_TAKEN
        - APPOINTMENT_CHECKLIST_CARE_PLAN
        - NOTIFICATION
        - LOW_PATIENT_REVIEW
        - CHAT_UPDATE
        - RAINFOREST_PAYIN_FAILED
        - RAINFOREST_PAYIN_PROCESSING
        - RAINFOREST_POS_PAYIN_CANCELLED
        - RAINFOREST_DEPOSIT_IN_REVIEW
        - RAINFOREST_DEPOSIT_SUCCEEDED
        - RAINFOREST_DEPOSIT_FAILED
        - STOCK_LOW
        - STOCK_ADDED
        - STOCK_ARCHIVED
        - STOCK_LINKED_TO_ITEM
        - STOCK_UNLINKED_FROM_ITEM
        - STOCK_UPDATED
        - STOCK_DRAWDOWN
        - SHIPMENT_RECEIVED
        - SHIPMENT_UPDATED
        - SHIPMENT_ARCHIVED
        - ITEM_CREATED
        - ITEM_UPDATED
        - ITEM_ARCHIVED
        - INVENTORY_ACTION
      title: AlertType
    NotificationMethod:
      type: string
      enum:
        - SMS
        - EMAIL
        - IN_APP
      title: NotificationMethod
      description: Communication methods for notification preferences.

````